import request from "@/utils/request";

// 首页

//获取商品列表
export function goodsPage(params) {
  return request({
    url: "manage/trade/goodsPage.htm",
    method: "post",
    data: params,
  });
}

// 获取品种列表
export function breadlist(params) {
  return request({
    url: "manage/trade/breadlist.htm",
    method: "get",
    params,
  });
}

// 获取使用分类
export function uselist(params) {
  return request({
    url: "manage/trade/uselist.htm",
    method: "get",
    params,
  });
}

// 获取节日列表
export function festivalList(params) {
  return request({
    url: "manage/trade/festivalList.htm",
    method: "get",
    params,
  });
}

// 加入外贸清单
export function tradeSampleSave(params) {
  return request({
    url: "manage/trade/tradeShopSave.htm",
    method: "post",
    data: params,
  });
}

// 加入外贸清单（校验商品是否存在）
export function tradeShopSaveCheck(params) {
  return request({
    url: "manage/trade/tradeShopSaveCheck.htm",
    method: "post",
    data: params,
  });
}

//获取外贸清单数量
export function tradeShopList(params) {
  return request({
    url: "manage/trade/tradeShopList.htm",
    method: "post",
    data: params,
  });
}

// 获取年份
export function yearList(params) {
  return request({
    url: "manage/trade/yearList.htm",
    method: "get",
    params,
  });
}

// 批量加入外贸清单
export function yearLtradeShopListSaveByIdsist(params) {
  return request({
    url: "manage/trade/tradeShopListSaveByIds.htm",
    method: "post",
    data:params,
  });
}
